* {
    box-sizing: border-box;
  }
  
  html,
  body,
  .wrapper {
    height: 100%;
  }
  
  @keyframes rotate {
    100% {
      background-position: 15% 50%;
    }
  }
  
body
{
  display: grid;
  place-items: center;
  margin: 0;
  padding: 0 24px;
  background-image: url("background.svg");
  background-repeat: no-repeat;
  background-size: cover;
  font-family: "Euclid Circular A";
  color: #000;
  animation: rotate 3s infinite alternate linear;
}/*
.sign-up-form
{
    width: 300px;
    box-shadow: 0 0 3px rgba(0,0,0,0.3);
    background: #fff;
    padding: 20px;
    margin: 8% auto 0;
    text-align: center;
}*/
@media (width >= 500px) {
    body {
        padding: 0;
    }
}

/*
.sign-up-form
{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 350px;
    height: 420px;
    box-sizing: border-box;
    background: rgba(0,0,0,.5);
    
}
*/

/* currently giving the "box " layout" for sign up*/
.sign-up-card{
    position:relative;
    z-index: 3;
    width: 25%;
    margin: 0 20px;
    padding: 70px 30px 44px;
    border-radius: 1.25rem;
    background: #fff;
    text-align: center;
    
}

@media (width >= 500px) {
    .sign-up-card {
        margin: 0;
        width: 400px;
    }
}

.sign-up-card > h1 {
    font-size: 36px;
    font-weight: 600;
    margin: 0 0 12px;
}

.sign-up-card > h2 {
    color: rgba(0, 0, 0, 0.38);
    margin: 0 0 30px;
    font-weight: 500;
    font-size: 2rem;
  }

.sign-up-form  {
    width: 100%;
    margin: 0;
    display: grid;
    gap: 16px;
}
  
.sign-up-form > input,
.sign-up-form > button {
  width: 100%;
  height: 56px;
}

.sign-up-form > input {
    border: 2px solid #ebebeb;
    font-family: inherit;
    font-size: 16px;
    padding: 0 16px;
  }


/* For both user and pw input box*/
.input-box
{
    border-radius: 20px;
    padding: 10px;
    margin: 10px 0;
    width: 100%;
    border: 1px solid #999;
    outline: none;
}

/* For the Sign up & Log in buttons */
button
{   
    cursor: pointer;
    width: 100%;
    height: 56px;
    padding: 0 16px;
    border-radius: 0.5rem;
    background: #216ce7;
    color: #f9f9f9;
    border: 0;
    font-family: inherit;
    font-size: 1.3rem;
    text-align:center;
    letter-spacing: 1px;
    transition: all 0.375s;

}

.sign-up-form > a {
    color: #216ce7;
    font-size: 1rem;
    text-align: left;
    text-decoration: none;
    margin-bottom: 6px;
  }

.signup-btn:disabled,
.signup-btn[disabled]{
  border: 1px solid #999999;
  background-color: #cccccc;
  color: #666666;
}
  

.signup-btn
{
    background-color: #1c8adb;
    margin: 55px;
    border: #1c8adb;
}


hr{
    margin-top: 20px;
    width: 80%;
}
.or
{
    background: #fff;
    width: 30px;
    text-align: center;
    font-size:x-large;
    margin: -19px auto 10px;
}
img
{
    width: 70px;
    margin-top: -50px; 
}